const CracoLessPlugin = require('craco-less')
const CracoAlias = require('craco-alias')

module.exports = {
    plugins: [{
            plugin: CracoLessPlugin,
            options: {
                lessLoaderOptions: {
                    lessOptions: {
                        modifyVars: {
                            '@primary-color': '#0079c2',
                            '@link-color': '#0079c2',
                            '@text-color': 'rgba(30,30,30,0.73)', // major text color
                            '@font-size-base': '12px',
                            '@font-color-base': '#fff',
                            '@layout-header-background': '#0079c2',
                            '@statistic-content-font-size': 'ceil(@font-size-base * 1.1)',
                            '@statistic-unit-font-size': 'ceil(@font-size-base * 1.1)',
                        },
                        javascriptEnabled: true,
                    },
                },
            },
        },
        {
            plugin: CracoAlias,
            options: {
                source: 'tsconfig',
                // baseUrl SHOULD be specified
                // plugin does not take it from tsconfig
                baseUrl: './src',
                // tsConfigPath should point to the file where "baseUrl" and "paths" are specified
                tsConfigPath: './tsconfig.paths.json',
            },
        },
    ],
}
